Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.db
Class JDBCType

    java.lang.Object
      jet.server.api.db.JDBCType

    public final class JDBCType

extends java.lang.Object

Class `JDBCType` defined all JDBC types

Field Summary
`static JDBCType` | `ARRAY`
`static JDBCType` | `BIGINT`
`static JDBCType` | `BINARY`
`static JDBCType` | `BIT`
`static JDBCType` | `BLOB`
`static JDBCType` | `BOOLEAN`
`static JDBCType` | `CHAR`
`static JDBCType` | `CLOB`
`static JDBCType` | `DATALINK`
`static JDBCType` | `DATE`
`static JDBCType` | `DECIMAL`
`static JDBCType` | `DISTINCT`
`static JDBCType` | `DOUBLE`
`static JDBCType` | `FLOAT`
`static JDBCType` | `INTEGER`
`static JDBCType` | `JAVA_OBJECT`
`static JDBCType` | `LONGVARBINARY`
`static JDBCType` | `LONGVARCHAR`
`static JDBCType` | `NULL`
`static JDBCType` | `NUMERIC`
`static JDBCType` | `OTHER`
`static JDBCType` | `REAL`
`static JDBCType` | `REF`
`static JDBCType` | `SMALLINT`
`static JDBCType` | `STRUCT`
`static JDBCType` | `TIME`
`static JDBCType` | `TIMESTAMP`
`static JDBCType` | `TINYINT`
`static JDBCType` | `VARBINARY`
`static JDBCType` | `VARCHAR`

Method Summary
`int` | `dataType()` Returns this JDBCType's type value defined in java.sql.Types.
`boolean` | `equals(java.lang.Object obj)`
`static JDBCType` | `getJDBCType(int type)`
`int` | `hashCode()`
`static boolean` | `isSupported(int type)`
`static boolean` | `isSupported(java.lang.String type)`
`boolean` | `isVariationalSize()`
`static int` | `toInteger(java.lang.String type)`
`java.lang.String` | `toString()`
`static java.lang.String` | `toString(int type)`
`java.lang.String` | `typeName()` Returns this JDBCType's type name.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### BIT

    public static final JDBCType BIT

### TINYINT

    public static final JDBCType TINYINT

### SMALLINT

    public static final JDBCType SMALLINT

### INTEGER

    public static final JDBCType INTEGER

### BIGINT

    public static final JDBCType BIGINT

### FLOAT

    public static final JDBCType FLOAT

### REAL

    public static final JDBCType REAL

### DOUBLE

    public static final JDBCType DOUBLE

### NUMERIC

    public static final JDBCType NUMERIC

### DECIMAL

    public static final JDBCType DECIMAL

### CHAR

    public static final JDBCType CHAR

### VARCHAR

    public static final JDBCType VARCHAR

### LONGVARCHAR

    public static final JDBCType LONGVARCHAR

### DATE

    public static final JDBCType DATE

### TIME

    public static final JDBCType TIME

### TIMESTAMP

    public static final JDBCType TIMESTAMP

### BINARY

    public static final JDBCType BINARY

### VARBINARY

    public static final JDBCType VARBINARY

### LONGVARBINARY

    public static final JDBCType LONGVARBINARY

### NULL

    public static final JDBCType NULL

### OTHER

    public static final JDBCType OTHER

### JAVA_OBJECT

    public static final JDBCType JAVA_OBJECT

### DISTINCT

    public static final JDBCType DISTINCT

### STRUCT

    public static final JDBCType STRUCT

### ARRAY

    public static final JDBCType ARRAY

### BLOB

    public static final JDBCType BLOB

### CLOB

    public static final JDBCType CLOB

### REF

    public static final JDBCType REF

### DATALINK

    public static final JDBCType DATALINK

### BOOLEAN

    public static final JDBCType BOOLEAN

Method Detail

### toString

    public static final java.lang.String toString(int type)

### toInteger

    public static final int toInteger(java.lang.String type)

### isSupported

    public static final boolean isSupported(int type)

### isSupported

    public static final boolean isSupported(java.lang.String type)

### getJDBCType

    public static final JDBCType getJDBCType(int type)

### typeName

    public java.lang.String typeName()

  Returns this JDBCType's type name.

  Returns:
    type name

### dataType

    public final int dataType()

  Returns this JDBCType's type value defined in java.sql.Types.

  Returns:
    a integer.
  See Also:
    `java.sql.Types#`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isVariationalSize

    public boolean isVariationalSize()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD